/* This file is Copyright 1998 Tom Rothamel. It's under the Gnu Public   *
 * license, see the file COPYING for details.                            */

#include <unistd.h>
#include <string.h>

void writeuc(int fd, unsigned char c) {
	write(fd, &c, sizeof(unsigned char));
}

void writestring(int fd, char *string){
	int len;
	
	len = strlen(string);
	if (len > 255) len = 255;

	writeuc(fd, (unsigned char) len);
	write(fd, string, len);
}

