#include <gdk_imlib.h>
#include <gdk/gdk.h>
#include <gdk/gdkx.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <stdio.h>
#include "strings.h"
#include <fstream.h>
#include "utils.h"

void randfilename(char *list_files, char *filename)
{
   gint the_image;
   gint count = 0;
   char files[FILENAME_MAX][MAX_FILES];
   ifstream filelist;

   filelist.open(list_files);
   if (!list_files)
	return;
   while ((filelist) && (count < MAX_FILES)) 
      filelist.getline(files[count++], PATH_MAX, '\n');
   srand(time(NULL)); // Seed the generator with the current time for easy, sufficient radnomness
   the_image = (gint) ((double)count*random()/(RAND_MAX+1.0));
   strcpy(filename, files[the_image]);
}

void set_bg(char* filename)
// Function based around portion of code from qiv available from http://www.klografx.de/
{
   GdkWindow      *rwin;
   GdkImlibImage  *im=NULL;
   GdkPixmap      *temp;
   GdkGC          *rootGC;
   gchar          *buffer;
   GdkVisual      *gvis;
   GdkPixmap      *p;
   GdkColor       color_bg;
   color_bg.red=0;color_bg.green=0;color_bg.blue=0;
   gint sw = gdk_screen_width();
   gint sh = gdk_screen_height();

   im = gdk_imlib_load_image(filename);
   rwin = (GdkWindow *) & gdk_root_parent;
   gvis = gdk_window_get_visual(rwin);
   if (!im) 
      return; // Just do nothing is something stupid happened, user can hit the button again
   if (search(filename, SCALESTRING)) {
      gdk_imlib_render(im,sw,sh);
      p=gdk_imlib_move_image(im);
      gdk_window_set_back_pixmap(rwin,p,FALSE);
   } else {
      gdk_imlib_render(im,im->rgb_width,im->rgb_height);
      p=gdk_imlib_move_image(im);
      gdk_window_set_back_pixmap(rwin,p,FALSE);

   }
   gdk_window_clear(rwin);
   gdk_flush();
}                                              
